<div id="equipment-diagnostics">
	<div class="panel-group" id="accordionEquipmentDiagnostics">
		<div class="panel panel-default">
			<div class="panel-heading"
				 ng-style="moonData.status == 'healthy' ? decoration.style.healthy : moonData.status == 'empty' ? decoration.style.empty : decoration.style.pending"
				 title="{{moonData.status == 'healthy'  ? decoration.tooltip.healthy : moonData.status == 'empty'  ? decoration.tooltip.empty : decoration.tooltip.pending}}">

				<div class="panel-title" data-toggle="collapse" data-parent="#accordionEquipmentDiagnostics" data-target="#equipmentDiagnosticsContainer" ng-click="toggleCollapsibleDiagnostics()">
					<h2>Diagnostics
						<span class="panel-heading-icon glyphicon" ng-class="decoration.collapsed.equipmentDiagnostics ? 'glyphicon-chevron-right' : 'glyphicon-chevron-up' "></span>
					</h2>
					<loading-data ng-hide="moonData.completed"></loading-data>
				</div>
			</div>
			<div id="equipmentDiagnosticsContainer" class="panel-collapse collapse" ng-class="collapseMoon">
				<div class="panel-body">
					<div>
						<div class="col-lg-12 table-responsive">

							<a ng-href="{{moonData.link}}" target="_blank" rel="noopener">
								<button class="btn btn-block">Show in MOON <small class="glyphicon glyphicon-new-window"></small></button>
							</a>
							<br/>

							<table class="table table-hover">
								<tbody>
									<tr ng-repeat="diagnostic in moonData.diagnostics">
										<td ng-style="diagnostic.color"><span class="led"></span></td>
										<td>{{diagnostic.description}}</td>
									</tr>
								</tbody>
							</table>
						</div>

						<div class="col-lg-12 table-responsive">
							<table class="table table-hover">
								<tbody>
									<div class="well"
										 ng-style="moonData.status == 'healthy' ? decoration.style.healthy : moonData.status == 'empty' ? decoration.style.empty : decoration.style.pending"
										 title="{{moonData.status == 'healthy'  ? decoration.tooltip.healthy : moonData.status == 'empty'  ? decoration.tooltip.empty : decoration.tooltip.pending}}">

										<h4>PLC Time</h4>
									</div>
									<tr>
										<td><b>{{moonData.plcInfo.plcMetric.description}}</b></td>
										<td>{{moonData.plcInfo.plcMetric.value}}</td>
									</tr>
								</tbody>
							</table>
						</div>

						<div class="col-lg-12 table-responsive">
							<table class="table table-hover">
								<tbody>
									<div class="well"
										 ng-style="moonData.status == 'healthy' ? decoration.style.healthy : moonData.status == 'empty' ? decoration.style.empty : decoration.style.pending"
										 title="{{moonData.status == 'healthy'  ? decoration.tooltip.healthy : moonData.status == 'empty'  ? decoration.tooltip.empty : decoration.tooltip.pending}}">

										<h4>PLC Diagnostic Buffer</h4>
									</div>
									<tr ng-repeat="plcDiagnostic in moonData.plcInfo.plcDiagnostics">
										<td><b>{{plcDiagnostic.description}}</b></td>
										<td>{{plcDiagnostic.value}}</td>
									</tr>
								</tbody>
							</table>
						</div>

					</div>
				</div>
			</div>
		</div>
	</div>
</div>